############################################################################
#
#  Program:         SuperLU_DIST
#
#  Module:          make.inc
#
#  Purpose:         Top-level Definitions
#
#  Creation date:   February 4, 1999  version alpha
#
#  Modified:	    September 1, 1999  version 1.0
#
############################################################################
#
#  The machine (platform) identifier to append to the library names
#
PLAT		= _linux-rh72-intel

#
#  The name of the libraries to be created/linked to
#
DSuperLUroot 	= /soft/apps/packages/petsc-packages/linux-rh72-intel/SuperLU_DIST_2.0
DSUPERLULIB   	= $(DSuperLUroot)/superlu$(PLAT).a
#
BLASDEF	     	= -DUSE_VENDOR_BLAS
BLASLIB      	= -L${PGI}/linux86/lib -llapack -lblas

MPI_HOME       =  /soft/apps/packages/mpich-gm-1.2.5..9-pre6-gm-1.6.3-intel-7.0
IMPI            = -I${MPI_HOME}/include
MPILIB		= -L${MPI_HOME}/lib -lmpich -lgm
SYS_LIB         = 
LIBS	     	= $(DSUPERLULIB) $(BLASLIB) $(PERFLIB) $(MPILIB) $(SYS_LIB)

#
#  The archiver and the flag(s) to use when building archive (library)
#  If your system has no ranlib, set RANLIB = echo.
#
ARCH         	= ar
ARCHFLAGS    	= cr
RANLIB       	= ranlib

CC           	= icc $(IMPI)
CFLAGS          = -O3 -xW -tpp7
NOOPTS		=
FORTRAN         = ifc -w90 -w
FFLAGS          = -O3 -xW -tpp7
LOADER	        = icc
LOADOPTS	= 
#
#  C preprocessor defs for compilation (-DNoChange, -DAdd_, or -DUpCase)
#
CDEFS        = -DAdd_

